Package groovy.lang

## Class ParameterArray

- java.lang.Object
- - groovy.lang.ParameterArray

-     @Deprecated
      public class ParameterArray
      extends Object

  Deprecated.
  Distinguish a parameter array from Object[].

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterArray​(Object data)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `get()` | Deprecated.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterArray

          public ParameterArray​(Object data)

      Deprecated.

  - ### Method Detail

    - #### get

          public Object get()

      Deprecated.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`